Skip to content

Get exchange quote (preview)

POST
/v1/exchange/quote
curl --request POST \
--url https://api.parasta.io/v1/exchange/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "source": "example", "target": "example", "networkId": "example", "direction": "exactInput", "amount": "example" }'
Media type application/json
object
source
required
string
target
required
string
networkId
required
string
direction
required
string
Allowed values: exactInput exactOutput
amount
required
string

OK

Media type application/json
object
source
string
target
string
direction
string
Allowed values: exactInput exactOutput
sourceAmount
string
targetAmount
string
sourceDisplayAmount
string
targetDisplayAmount
string
exchangeRate
string
priceImpact
string
priceImpactWarning
boolean
route
Array<string>
feeTier
integer
nullable
slippage
string
minimumReceived
string
minimumReceivedDisplay
string
networkId
string
executable
boolean
notExecutableReason
string
nullable
Allowed values: insufficient_balance limit_exceeded
intermediary
string
nullable
Example
{
"direction": "exactInput",
"notExecutableReason": "insufficient_balance"
}

Please contact your representative. 담당자에게 문의해주세요.